package jiaowuxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/mdb"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

const (
	OPEN_ID = "open_id"
	OPENID  = "openid"
	AVATAR  = "avatar"
)

type user struct {
	Table
	create string `name:"create openid*"`
}

func (s user) Create(m *ice.Message, arg ...string) {
	if s.Table.Select(m, OPEN_ID, m.Option(OPENID)).Length() == 0 {
		s.Table.Create(m, OPEN_ID, m.Option(OPENID), AVATAR, m.Option("headimgurl"), mdb.NAME, m.Option("nickname"))
		m.Option(model.USER_UID, m.Result())
	} else {
		m.Option(model.USER_UID, m.Append(model.UID))
	}
}

func init() { ice.Cmd(prefixKey(), user{}) }
